<?php declare(strict_types=1);

namespace App\Dto\Service\Registry\V2\EventService;

final readonly class ImageDataPush
{
    public function __construct(
        private string $username,
        private string $repositoryName,
        private string $tag,
        private string $digest,
        private int    $size,
    ) { }

    public function getUsername(): string
    {
        return $this->username;
    }

    public function getRepositoryName(): string
    {
        return $this->repositoryName;
    }

    public function getTag(): string
    {
        return $this->tag;
    }

    public function getDigest(): string
    {
        return $this->digest;
    }

    public function getSize(): int
    {
        return $this->size;
    }
}
