<?php declare(strict_types=1);

namespace App\ServiceResults\TagRepository;

use App\Models\Repository;
use App\Models\TagRepository;
use App\ServiceResults\ServiceResult;

final class IncrementPullResult extends ServiceResult
{
    public function __construct(
        private readonly Repository    $repository,
        private readonly TagRepository $tagRepository,
    ) { }
}
