<?php declare(strict_types=1);

namespace App\ServiceResults\Registry\V2;

use App\Models\Architecture;
use App\ServiceResults\ServiceResult;

final class ArchitectureResult extends ServiceResult
{
    public function __construct(
        private readonly Architecture $architecture,
    ) { }

    public function getArchitecture(): Architecture
    {
        return $this->architecture;
    }
}
